Bug 59800 - FILEOPEN: docx: Smartart problems
Summary: FILEOPEN: docx: Smartart problems
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2013-01-24 12:21 UTC by libreoffice
Modified: 2018-10-26 02:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The file (97.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-01-24 12:21 UTC, libreoffice
Details
pdf export from MS Word 2010 (97.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-01-24 12:22 UTC, libreoffice
Details
pdf export from MS Word 2010 (123.95 KB, application/pdf)
2013-01-24 12:23 UTC, libreoffice
Details
pdf export from LibreOffice (38.76 KB, application/pdf)
2013-01-24 12:29 UTC, libreoffice
Details
how it looks in Libo 5.2 (left) and Ms Office ( right) (39.54 KB, image/jpeg)
2016-04-21 16:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description libreoffice 2013-01-24 12:21:47 UTC
Created attachment 73568 [details]
The file

On a smartart imported from MS Word 2010, I get following defects:

* missing bullets
* mirrored font
* sometimes wrong alligned pictures

Attached are both the file and a pdf export from MS Word 2010.

              
Operating System: Windows 7
Version: 4.0.0.1 rc
Comment 1 libreoffice 2013-01-24 12:22:23 UTC
Created attachment 73569 [details]
pdf export from MS Word 2010
Comment 2 libreoffice 2013-01-24 12:23:13 UTC
Created attachment 73570 [details]
pdf export from MS Word 2010
Comment 3 libreoffice 2013-01-24 12:29:12 UTC
Created attachment 73572 [details]
pdf export from LibreOffice
Comment 4 Jorendc 2013-01-24 16:41:43 UTC
I can reproduce all you said using Linux Mint 14.1 with LibreOffice 4.0.0.1 RC1;

Thanks for reporting!
Comment 5 Jacobo Aragunde Pérez 2013-09-27 08:16:46 UTC
(In reply to comment #0)
> On a smartart imported from MS Word 2010, I get following defects:
> 
> * missing bullets

This specific problem is fixed in 4.2.0.0.alpha0.

> * mirrored font
> * sometimes wrong alligned pictures
> 

These are still happening.
Comment 6 QA Administrators 2015-04-19 03:22:55 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-18 16:17:31 UTC
It is better now, but not perfect.
Text is not flipped.
Bullets in the left boxes are showing ok.
Only the right boxes are problematic.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 8 Xisco Faulí 2016-04-21 16:04:08 UTC
Created attachment 124552 [details]
how it looks in Libo 5.2 (left) and Ms Office ( right)

still reproducible in

Version: 5.2.0.0.alpha0+
Build ID: 3dca8575d63db50b0120fbff09bbfcd056fa3732
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-04-20_05:07:29
Locale: es-ES (es_ES)
Comment 9 Xisco Faulí 2017-03-15 10:35:41 UTC
Still reproducible in

Version: 5.4.0.0.alpha0+
Build ID: d3b5bd4a07a619db6bee1c39c32280ac3c620532
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 10 Regina Henschel 2017-10-25 21:41:21 UTC
The error is still in Version: 6.0.0.0.alpha1+
Build ID: dc2d133e7953f08f73ef9cd0b40786764b0e2035
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-22_01:16:45
Locale: de-DE (de_DE); Calc: group
Comment 11 QA Administrators 2018-10-26 02:58:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug